Page MenuHomePhabricator

QuickSurveys: Allow internal surveys to provide a custom privacy policy
Closed, ResolvedPublic2 Story Points

Description

There is a way to specify a privacyPolicy param for external surveys, but no such option for internal surveys.

Internal surveys still have a footer, and still need a privacy policy link. As of now, it falls back to the default message originally set for external surveys, and it is not gracefully customizable.

Details

Related Gerrit Patches:

Event Timeline

JGirault claimed this task.
JGirault raised the priority of this task from to High.
JGirault updated the task description. (Show Details)
JGirault added a subscriber: JGirault.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 19 2015, 11:51 PM

Change 254328 had a related patch set uploaded (by JGirault):
Make privacy policy an optional parameter for internal and external surveys.

https://gerrit.wikimedia.org/r/254328

jhobs renamed this task from Make privacyPolicy an optional parameter for both internal and external surveys to Allow internal surveys to provide a custom privacy policy.Nov 20 2015, 2:20 PM
jhobs set Security to None.
JGirault edited a custom field.Dec 9 2015, 10:53 PM
debt renamed this task from Allow internal surveys to provide a custom privacy policy to QuickSurveys: Allow internal surveys to provide a custom privacy policy.Jan 28 2016, 4:49 PM

@JGirault : What is the status of this task?

debt changed the task status from Open to Stalled.Apr 1 2016, 5:10 AM

@ksmith As far as I remember, there was an action item to talk with Legal again, to figure out if a specific privacy policy must be displayed on internal surveys, and if that privacy policy is specific to our quick survey, or is required for any internal quick survey that will be run on wiki projects.

I don't remember who was assigned to this action item (I just remember it wasn't myself), but I believe this discussion should happen between Legal and QuickSurveys teams. We, as the

Nonetheless, I can rebase my patch (and will).

Thanks Julien.

@debt @Deskana @dr0ptp4kt: Can one of you move this forward (or propose a plan for me to do so)? (I sent a ping on IRC but am following up here as well).

@ksmith Thanks! @debt will coordinate with Legal on this.

debt changed the task status from Stalled to Open.Apr 5 2016, 7:42 PM
debt claimed this task.

@JGirault, just chatted with @debt. Say, could you update the patch to add support for a customizable privacy policy URL for "internal" (i.e., not 3rd party) surveys?

Our next sprint, sprint 70, starts 11-April-2016, so was wondering if this was something we could expect in the Reading Web code review queue during the sprint.

Change 282143 had a related patch set uploaded (by JGirault):
Make privacy policy an optional parameter for internal survey.

https://gerrit.wikimedia.org/r/282143

Change 282143 abandoned by JGirault:
Make privacy policy an optional parameter for internal survey.

Reason:
Abandoned in favor of https://gerrit.wikimedia.org/r/#/c/254328
(wrong branch: master)

https://gerrit.wikimedia.org/r/282143

@dr0ptp4kt I just rebased the patch, so it's ready for code review.

debt added a comment.Apr 8 2016, 3:32 AM

Just a comment/confirmation - I've been chatting with Aeryn in Legal and she confirmed that we do need a privacy policy for all surveys (internal and external) and that they should be customizable and not be "default" wording.

Aeryn also let me know that Legal is working on streamlining their processes to make it easier for any team to submit a request for a review or proper wording for a privacy policy message for any upcoming survey.

debt added a comment.Apr 12 2016, 5:59 PM

Hi @JGirault - can the patch be fixed? It looks like gerrit didn't like it: https://gerrit.wikimedia.org/r/#/c/254328

Change 282143 restored by Phuedx:
Make privacy policy an optional parameter for internal survey.

Reason:
The default branch is indeed master.

https://gerrit.wikimedia.org/r/282143

phuedx added a subscriber: phuedx.Apr 12 2016, 7:17 PM

@debt, @JGirault: I think that 254328: Make privacy policy an optional parameter for internal and external surveys. isn't building as it's based on the outdated dev branch. I've taken the liberty of restoring and updating 282143.

debt added a comment.Apr 12 2016, 7:53 PM

Thanks, @phuedx, looks like we just need a code review now - @dr0ptp4kt do you think your team can help with that?

phuedx added a comment.EditedApr 13 2016, 9:01 AM

I've reviewed and tested 254328: Make privacy policy an optional parameter for internal and external surveys. and it LGTM. However, I updated the commit message as privacyPolicy is a required property for external surveys. If @JGirault could sign off on that, albeit cosmetic, tweak then I'll C+2.

debt added a comment.Apr 13 2016, 3:23 PM

Perfect - thanks for your help, @phuedx! I'll ping @JGirault to see if he can sign off on the tweak.

Change 254328 abandoned by JGirault:
Make privacy policy an optional parameter for internal and external surveys.

Reason:
Now it's this one who gets abandoned in favor of https://gerrit.wikimedia.org/r/#/c/282143

https://gerrit.wikimedia.org/r/254328

@phuedx , @jhobs , no problem with the new commit message, makes sense.

We should now be good to merge https://gerrit.wikimedia.org/r/#/c/282143/ :)
I abandoned the other patch that was against dev branch.

@debt over to you to sign off. This should be testable on http://en.m.wikipedia.beta.wmflabs.org/wiki/Headings from midday PST time but you may need @JGirault to help assure you all is good.

debt added a comment.Apr 13 2016, 8:36 PM

Hi @Jdlrobson @JGirault - I had looked earlier and it seemed like the survey was there with the privacy policy link, but now it's gone from http://en.m.wikipedia.beta.wmflabs.org/wiki/Headings ...did something get changed?

@debt maybe it was temporary...? it's all good now at least.

debt added a comment.Apr 13 2016, 10:49 PM

Cool - it's working now :) Can we add this to the production ticket to go out (hopefully) later this week?

I moved this to Done on Reading-Web-Sprint-70-Lady-and-the-Trumps as the associated change has been merged.

debt closed this task as Resolved.Apr 14 2016, 4:56 PM

Thanks, @phuedx - I've added it to our next production release ticket.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 10:01 PM